Method: advertisers.insertionOrders.delete

  • You can delete an insertion order using a DELETE request to the specified URL, but it must be archived first.

  • The HTTP request includes advertiserId and insertionOrderId as path parameters.

  • The request body for deleting an insertion order must be empty.

  • A successful deletion results in an empty response body.

  • Deleting an insertion order requires the https://www.googleapis.com/auth/display-video OAuth scope.

Deletes an insertion order. Returns error code NOT_FOUND if the insertion order does not exist. The insertion order should be archived first, i.e. set entityStatus to ENTITY_STATUS_ARCHIVED, to be able to delete it.

HTTP request

DELETE https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/insertionOrders/{insertionOrderId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

The ID of the advertiser this insertion order belongs to.

insertionOrderId

string (int64 format)

The ID of the insertion order we need to delete.

Request body

The request body must be empty.

Response body

If successful, the response body is empty.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.